Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115709 - Review Request: nodejs-w3cjs - A node.js module for using the w3c validator
Summary: Review Request: nodejs-w3cjs - A node.js module for using the w3c validator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122244
Blocks: nodejs-reviews 1115676
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:10 UTC by Ralph Bean
Modified: 2014-10-10 16:08 UTC (History)
2 users (show)

Fixed In Version: nodejs-w3cjs-0.1.25-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-08 20:31:10 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:10:35 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-w3cjs.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-w3cjs-0.1.9-1.fc20.src.rpm

Description:
A node.js library for testing files or url's against the w3c html
validator.

Comment 1 Parag AN(पराग) 2014-07-17 16:19:50 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-w3cjs.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-w3cjs.src: W: spelling-error Summary(en_US) validator -> lavatorial
nodejs-w3cjs.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-w3cjs.src: W: spelling-error %description -l en_US url's -> curl's, purl's, hurl's
nodejs-w3cjs.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
nodejs-w3cjs.src: W: spelling-error %description -l en_US validator -> lavatorial
nodejs-w3cjs.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-w3cjs.x86_64: W: spelling-error Summary(en_US) validator -> lavatorial
nodejs-w3cjs.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-w3cjs.x86_64: W: spelling-error %description -l en_US url's -> curl's, purl's, hurl's
nodejs-w3cjs.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
nodejs-w3cjs.x86_64: W: spelling-error %description -l en_US validator -> lavatorial
nodejs-w3cjs.x86_64: E: no-binary
nodejs-w3cjs.x86_64: W: only-non-binary-in-usr-lib
nodejs-w3cjs.x86_64: W: dangling-symlink /usr/lib/node_modules/w3cjs/node_modules/argparse /usr/lib/node_modules/argparse
nodejs-w3cjs.x86_64: W: dangling-symlink /usr/lib/node_modules/w3cjs/node_modules/superagent /usr/lib/node_modules/superagent
nodejs-w3cjs-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 15 warnings.

==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :172553bbbc2f1ce5c24d46a926f311de9d8058eddc7f716b8da046fc4a6193e2
upstream tarball :172553bbbc2f1ce5c24d46a926f311de9d8058eddc7f716b8da046fc4a6193e2

+ License "Public Domain" is valid and is included in its own file as %doc.


+ rest looks following packaging guidelines


Suggestions:
1) Update to latest upstream 0.1.25

2) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 2 Ralph Bean 2014-07-21 18:54:02 UTC
New release should address your suggestions:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-w3cjs.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-w3cjs-0.1.25-1.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-22 05:01:50 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-w3cjs.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-w3cjs.noarch: W: spelling-error Summary(en_US) validator -> lavatorial
nodejs-w3cjs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-w3cjs.noarch: W: spelling-error %description -l en_US url's -> curl's, purl's, hurl's
nodejs-w3cjs.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
nodejs-w3cjs.noarch: W: spelling-error %description -l en_US validator -> lavatorial
nodejs-w3cjs.noarch: W: only-non-binary-in-usr-lib
nodejs-w3cjs.noarch: W: dangling-symlink /usr/lib/node_modules/w3cjs/node_modules/argparse /usr/lib/node_modules/argparse
nodejs-w3cjs.noarch: W: dangling-symlink /usr/lib/node_modules/w3cjs/node_modules/superagent /usr/lib/node_modules/superagent
nodejs-w3cjs.noarch: W: dangling-symlink /usr/lib/node_modules/w3cjs/node_modules/commander /usr/lib/node_modules/commander
nodejs-w3cjs.noarch: W: dangling-symlink /usr/lib/node_modules/w3cjs/node_modules/superagent-proxy /usr/lib/node_modules/superagent-proxy
nodejs-w3cjs.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-w3cjs.src: W: spelling-error Summary(en_US) validator -> lavatorial
nodejs-w3cjs.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-w3cjs.src: W: spelling-error %description -l en_US url's -> curl's, purl's, hurl's
nodejs-w3cjs.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
nodejs-w3cjs.src: W: spelling-error %description -l en_US validator -> lavatorial
2 packages and 0 specfiles checked; 0 errors, 17 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :cacbfdfa3e8f218279a9f011cf54a58b11de7cd741886fcf97ac067434dd4c7b
upstream tarball :cacbfdfa3e8f218279a9f011cf54a58b11de7cd741886fcf97ac067434dd4c7b

+ License "Public Domain" is valid and is included in its own file as %doc.

+ rest looks following packaging guidelines


Suggestions:
1) But you need to fix dependencies 
npm(commander)
npm(superagent-proxy)

I think we don't have package npm(superagent-proxy)

Please fix above issue.

Comment 4 Ralph Bean 2014-07-22 15:12:46 UTC
Looks like npm(superagent-proxy) requires 39 other unpackaged dependencies.

I'll work on that.

Comment 5 Parag AN(पराग) 2014-09-03 16:23:49 UTC
APPROVED now as npm(superagent-proxy) is built in Fedora.

Comment 6 Ralph Bean 2014-09-04 17:06:17 UTC
New Package SCM Request
=======================
Package Name: nodejs-w3cjs
Short Description: A node.js module for using the w3c validator
Upstream URL: https://npmjs.org/package/w3cjs
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-09-05 11:59:01 UTC
Git done (by process-git-requests).

Comment 8 Ralph Bean 2014-09-08 20:31:10 UTC
Built for rawhide.

Comment 9 Fedora Update System 2014-09-08 21:00:23 UTC
nodejs-w3cjs-0.1.25-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-w3cjs-0.1.25-1.fc21

Comment 10 Fedora Update System 2014-09-08 21:00:35 UTC
nodejs-w3cjs-0.1.25-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-w3cjs-0.1.25-1.fc20

Comment 11 Fedora Update System 2014-09-08 21:00:45 UTC
nodejs-w3cjs-0.1.25-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-w3cjs-0.1.25-1.fc19

Comment 12 Ralph Bean 2014-09-08 21:02:26 UTC
Buildroot overrides created.

Comment 13 Fedora Update System 2014-09-21 20:08:15 UTC
nodejs-w3cjs-0.1.25-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-w3cjs-0.1.25-2.fc20

Comment 14 Fedora Update System 2014-09-21 21:58:54 UTC
nodejs-w3cjs-0.1.25-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-w3cjs-0.1.25-2.fc19

Comment 15 Fedora Update System 2014-09-23 05:07:08 UTC
nodejs-w3cjs-0.1.25-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2014-09-25 15:48:25 UTC
nodejs-w3cjs-0.1.25-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-w3cjs-0.1.25-3.fc20

Comment 17 Fedora Update System 2014-09-25 15:48:55 UTC
nodejs-w3cjs-0.1.25-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-w3cjs-0.1.25-3.fc19

Comment 18 Fedora Update System 2014-10-10 16:03:48 UTC
nodejs-w3cjs-0.1.25-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-10-10 16:08:03 UTC
nodejs-w3cjs-0.1.25-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.